# playlist_transfer
## About
Ruby script to transfer music defined by playlist from music library to another directory (typically mounted flashdrive) including directory structure from library.

By default, script converts all FLAC files from playlist to MP3 format

This is script I created to put files from my Banshee managed music library (mostly FLAC files, some MP3 files) to flashdrive
Flashdrive is used in my car radio, which reads only MP3 files and cannot read files with special characters in name.

It reads playlist file (m3u8) generated by some media player and transfers each song to destination directory, including directory structure.

## Installation
###Easy way:
If are using rubygems, just run:

<pre>gem install playlist_transfer</pre>

###Manually:
Or you can build it from github manually:

<pre>
git clone https://github.com/Kisuke-CZE/playlist_transfer.git
cd playlist_transfer
gem build playlist_transfer.gemspec
gem install playlist_transfer
</pre>


## Usage
<pre>playlist_transfer if=INPUT_FILE out=OUTPUT_DIR [basedir=MUSIC_DIR] [OPTIONS]</pre>

**INPUT_FILE** - m3u8 playlist with songs you want to transfer

**OUTPUT_DIR** - output directory where to create file structure and copy files (usually some flashdrive)

**MUSIC_DIR** - Path to directory where is your whole music library located. Optional argument if INPUT_FILE is located in your MUSIC_DIR

### Options
Script has these options:

**--compatible**  - transfer filenames and directory names to target without special characters

**--justcopy**  - do not convert FLAC files to MP3

**--skoda**  - create M3U playlist in the root of output directory for Skoda Swing audio system compatibility. Might work for other Skoda audio systems, but tested only with Swing. This is for beeing able to shuffle all music on flashdrive. This option also automatically enables --compatible flag, because that's what Skoda audio needs.

## Requirements
* flac binary installed
* lame binary installed
* installed gems: m3u8, activesupport
* whole music library in one directory :)
